For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update an import

How to update an existing import via API

To update an existing import, send a PATCH request to the /api/imports/:id endpoint, where id is the ID of the resource that you want to update.

Here below the list of all the possible arguments that you can pass with the request body.

Request

PATCH https://yourdomain.commercelayer.io/api/imports/:id

Arguments

Body Parameter
Type
Required

type

string

Required

id

string

Required

attributes._interrupt

boolean

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

Example

The following request updates the import identified by the ID "XAyRWNUzyN":

curl -g -X PATCH \
  'https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "imports",
    "id": "xYZkjABcde",
    "attributes": {
      "reference": "ANY-EXTERNAL-REFEFERNCE"
    }
  }
}'

On success, the API responds with a 200 OK status code, returning the updated resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "imports",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN"
    },
    "attributes": {
      "resource_type": "skus",
      "format": "json",
      "parent_resource_id": "1234",
      "status": "in_progress",
      "started_at": "2018-01-01T12:00:00.000Z",
      "completed_at": "2018-01-01T12:00:00.000Z",
      "interrupted_at": "2018-01-01T12:00:00.000Z",
      "inputs_size": 300,
      "errors_count": 30,
      "warnings_count": 1,
      "destroyed_count": 99,
      "processed_count": 270,
      "errors_log": {
        "ABC": {
          "name": [
            "has already been taken"
          ]
        }
      },
      "warnings_log": {
        "ABC": [
          "could not be deleted"
        ]
      },
      "cleanup_records": true,
      "skip_errors": true,
      "attachment_url": "http://cl_imports.s3.amazonaws.com/",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/imports/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated